Debian Bug report logs - #461651
loosing dependencies

version graph

Package: fortunes; Maintainer for fortunes is Andrea Colangelo <warp10@ubuntu.com>; Source for fortunes is src:fortune-mod.

Reported by: Ivan Shmakov <oneingray@gmail.com>

Date: Sun, 20 Jan 2008 05:33:02 UTC

Severity: normal

Found in version fortune-mod/1:1.99.1-3

Fixed in version 1:1.99.1-4

Done: Joshua Kwan <jkwan@vmware.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, Pascal Hakim <pasc@debian.org>:
Bug#461651; Package fortunes. Full text and rfc822 format available.

Acknowledgement sent to Ivan Shmakov <oneingray@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, Pascal Hakim <pasc@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ivan Shmakov <ivan@theory.asu.ru>
To: submit@bugs.debian.org
Cc: Ivan Shmakov <oneingray@gmail.com>
Subject: Re: loosing dependencies
Date: Sun, 20 Jan 2008 11:32:16 +0600
Package: fortunes
Version: 1:1.99.1-3

	Currently, the `fortunes' package depends on either
	`fortune-mod' or `fortune-min':

$ apt-cache show fortunes
Package: fortunes
...
Source: fortune-mod
Version: 1:1.99.1-3
Provides: fortune-cookie-db
Depends: fortune-mod (>= 9708-12), fortunes-min
...
$ 

	It probably doesn't make sense, provided that the fortune files
	may as well be read by, e. g., M-x fortune in Emacs, or even by
	`less'.

	Could this dependency be relaxed, please?

	The following line may be added as well, if it's necessary:

Conflicts: fortune-mod (<< 9708-12)

	[Cc: to debian-devel, since the discussion was started there.]





Reply sent to Joshua Kwan <jkwan@vmware.com>:
You have taken responsibility. (Thu, 01 Oct 2009 22:33:07 GMT) Full text and rfc822 format available.

Notification sent to Ivan Shmakov <oneingray@gmail.com>:
Bug acknowledged by developer. (Thu, 01 Oct 2009 22:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 461651-done@bugs.debian.org (full text, mbox):

From: Joshua Kwan <jkwan@vmware.com>
To: "461651-done@bugs.debian.org" <461651-done@bugs.debian.org>
Subject: Fixed in 1:1.99.1-4
Date: Thu, 1 Oct 2009 15:29:56 -0700
Version: 1:1.99.1-4

This has been fixed in the latest upload. It's now a Recommends, not a Depends.

Best,
-Josh




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Nov 2009 07:37:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:12:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.